Page MenuHomePhabricator

Update width of "Other languages" box
Closed, ResolvedPublic

Description

Current width of "Other languages" box is wider by 1 pixel than required.
See screenshot from meta:Meta:Administrators :

This style is defined in the ext.translate.tag.languages.css.

In my opinion, this is because defining borders twice - firstly in the "mw-pt-languages" and secondary in the "mw-pt-languages-label".

This may be fixed through addition

box-sizing: border-box;

into 'mw-pt-languages':

(the rest of the view does not change)

Event Timeline

Kaganer created this task.Sep 18 2017, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2017, 2:31 PM
Kaganer updated the task description. (Show Details)Sep 18 2017, 2:31 PM
Kaganer updated the task description. (Show Details)Sep 18 2017, 2:33 PM
Kaganer updated the task description. (Show Details)Sep 18 2017, 8:37 PM

box-sizing: border-box seems simpler.

Kaganer updated the task description. (Show Details)Sep 21 2017, 3:47 PM
Kaganer updated the task description. (Show Details)

box-sizing: border-box seems simpler.

Thanks, updated.

Change 379667 had a related patch set uploaded (by Petar.petkovic; owner: Pl217):
[mediawiki/extensions/Translate@master] Update box-sizing of "Other languages" box

https://gerrit.wikimedia.org/r/379667

Nikerabbit closed this task as Resolved.Sep 23 2017, 6:36 PM
Nikerabbit assigned this task to Petar.petkovic.
Nikerabbit removed a project: Patch-For-Review.

Change 379667 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Update box-sizing of "Other languages" box

https://gerrit.wikimedia.org/r/379667